Incompatible version - Valheim

From 4netplayers Support Wiki
Jump to: navigation, search
Rent a Valheim server
Rent your own Valheim server at 4Netplayers.com

If you receive the message Incompatible Version when connecting to one of our servers, this may be due to the following reasons.

Valheim + active on server

If the message Incompatible Version appears when entering a server with active Valheim +, this has 2 reasons:

  1. You do not have the mod installed on your computer.
  2. Your installed mod is out of date. Just like the game, we also update the mod automatically

If you want to install or update the mod, you can download it HERE or HERE.
If you don't want to use the mod, you can disable Valheim + under Add-Ons.

Client is not up to date

Occasionally Steam may not have updated your game yet, for example when Steam is overloaded.
If your game is not updated, you will not be able to connect to the server and will also receive Incompatible Version.
You will then have to manually trigger the update in Steam.
Here's how it works:

  1. Right click on Valheim
  2. click on properties
  3. then click on Local Files
  4. and last but not least click on Verify integrity of game files

Steam should now update the game.

Server is not up to date

If the server is busy during an update, it will not be restarted by us.
If you then leave the server after an update and then later rejoined,
Steam will update the client and you will get the message Incompatible Version.
Here it is enough to restart the server, then the update will be installed.